using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BusinessLogicContracts
{
    public interface IPurchaseLogic
    {
        List<PurchaseViewModel>? ReadList(PurchaseSearchModel? model);
        bool CreatePurchase(PurchaseBindingModel model);
        bool TakePurchaseInWork(PurchaseBindingModel model);
        bool FinishPurchase(PurchaseBindingModel model);
        bool DeliveryPurchase(PurchaseBindingModel model);
    }
}
